header.menu {
    background-color: var(--blue);
    display: grid;
    grid-template-rows: 3fr 8fr;
    width: 250px;
    z-index: 99;
}
header.menu .Info{
    background-color: var(--purple);
    box-sizing: border-box;
    padding: 10%;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
header.menu .Info a{
    word-wrap: anywhere;
}

header.menu section.Options {
    display: flex;
    flex-direction: column;
    padding: 10%;
}

header.menu section.Options a {
    position: relative;
}
header.menu section.Options > div{
    display: flex;
    padding: 20px 0px;
}
header.menu section.Options a > div {
    width: 0px;
    transition: 0.4s;
    height: 2px;
    background-color: white;
    position: absolute;
}
header.menu section.Options a:hover > div {
    width: 100%;
}

#selected{
    width: 100%;
    background-color: tomato;
    /* color:#ec6952; */
}

.hide-show-menu{
    display: none;       
}

@media only screen and (max-width: 800px){
    header.menu{
        position: absolute;
        transition: 0.4s;
    }
    .hide-show-menu{
        display: inline;
        position: absolute;
        top: 10px;
        left: 10px;
        width: 25px;
        height: 25px;
        background-color: teal;
        z-index: 100;
    }
    header.menu#shown{
        translate: 0%;
    }
    header.menu#hidden{
        translate: -100%;
    }
}